this.perk_steel_brow <- this.inherit("scripts/skills/skill", {
	m = {
		Enabled = true
	},
	function create()
	{
		this.m.ID = "perk.steel_brow";
		this.m.Name = this.Const.Strings.PerkName.SteelBrow;
		this.m.Description = this.Const.Strings.PerkDescription.SteelBrow;
		this.m.Icon = "ui/perks/perk_09.png";
		this.m.Type = this.Const.SkillType.Perk;
		this.m.Order = this.Const.SkillOrder.Perk;
		this.m.IsActive = false;
		this.m.IsStacking = false;
		this.m.IsHidden = false;
	}

	function onTurnStart()
	{
		this.m.Enabled = true;
	}

	function onUse( _user, _targetTile )
	{
		if (this.m.Enabled)
		{
			if (this.Math.rand(1, 100) <= 50)
			{
				local actor = this.getContainer().getActor();

				this.m.Enabled = this.m.IsTalented;
				this.Tactical.EventLog.log(this.Const.UI.getColorizedEntityName(actor) + " used Steel Brow to prevent stunned and dazed effect.");
				this.spawnIcon("perk_09", actor.getTile());
				return true;
			}
		}

		return false;
	}
});
