this.soaked_meat_blueprint <- this.inherit("scripts/crafting/blueprint", {
	m = {},
	function create()
	{
		this.blueprint.create();
		this.m.ID = "blueprint.soaked_meat";
		this.m.PreviewCraftable = this.new("scripts/items/accessory/soaked_meat_item");
		this.m.Cost = 200;
		local ingredients = [
			{
				Script = "scripts/items/supplies/smoked_ham_item",
				Num = 1
			},
			{
				Script = "scripts/items/misc/adrenaline_gland_item",
				Num = 2
			}
		];
		this.init(ingredients);
	}

	function onCraft( _stash )
	{
		_stash.add(this.new("scripts/items/accessory/soaked_meat_item"));
	}

	function isQualified()
	{
		return this.World.Assets.getOrigin().getID() == "scenario.beast_hunters";
	}
});
